# IceMX::ThreadMetrics

## Overview

### class ThreadMetrics extends Metrics

Provides information on the number of threads currently in use and their activity.

## Data Member Index

inUseForIO
  The number of threads which are currently performing socket read or writes.
inUseForUser
  The number of threads which are currently calling user code (servant dispatch, AMI callbacks, etc).
inUseForOther
  The number of threads which are currently performing other activities.

## Data Members

### int inUseForIO;

The number of threads which are currently performing socket read or writes.

### int inUseForUser;

The number of threads which are currently calling user code (servant dispatch, AMI callbacks, etc).

### int inUseForOther;

The number of threads which are currently performing other activities. These are all other that are not counted with inUseForUser or inUseForIO, such as DNS lookups, garbage collection).